Precise Puppy 5.2.58 (beta1)

I am being bold, and announcing this latest build of Precise Puppy as the first "beta quality"!

There are lots of improvements relative to the alpha3 (5.2.55) release on May 24, which was announced here:
http://bkhome.org/blog/?viewDetailed=02842

Hopefully the xorg video tests will be better this time. The 'llvm' package has been included, needed by the radeon kms xorg driver, which has bumped the .iso file by about 5MB, which is unfortunate, but we have to live with it -- just for the sake of supporting the 'r300' series of Radeon (ATI) video chips.

This pup can be downloaded from here:
http://distro.ibiblio.org/quirky/test/precise-5.2.58/

I have compiled the 3.2.18 kernel in Precise Puppy, and propose that this be the one used for the release version of Precise Puppy -- and well into the future. So, anyone who feels inspired to compile a 3rd-party kernel driver, go for it! nVidia and ATI PETs are welcome!

The kernel .sfs can be got from here (though I intend to also upload it to ibiblio, later today, so will be installable via the 'install' icon on desktop):
http://bkhome.org/blog/?viewDetailed=02854

Forum thread for feedback, beta1 feedback starts on page 12 of this thread:
http://murga-linux.com/puppy/viewtopic.php?p=631371#631371

Known issues
A couple of things with the PPM:

1. No app icons, need to restart PPM.
2. search all repos, click an app, cannot determine size and deps.

For the first one, you have to exit then restart PPM to see the application icons. I have already fixed this in Woof.

For the second one, not so good, if you search all repos, then click to install an app, PPM cannot determine size and deps. I will look into that very soon.


Posted on 3 Jun 2012, 8:44


Comments:

Posted on 3 Jun 2012, 8:48 by BarryK
Gtklp menu entry missing
Another issue:

3. Gtklp is not in the menu.



Posted on 3 Jun 2012, 9:50 by BarryK
CUPS 1.3.11
I should also mention that this pup has CUPS 1.3.11, the PET from Wary.

I could not get Ubuntu's CUPS package(s) to work. Messed around for awhile, then took the easy way out.

Note, I think that rcrsn51 mentioned awhile back that the CUPS in Wary has a problem with network printing, and he posted a fix, so we might have to fix that one. So, I will tentatively list another issue:

4. Maybe CUPS problem with network printing.



Posted on 3 Jun 2012, 10:02 by BarryK
Geck-mediaplayer
I have discovered another issue. The Gecko-mediaplayer files are in /usr/lib/mozilla/plugins, however SM 'Help->About Plugins' only shows the Flash player loaded.

This is new, those plugins loaded ok with the previous version (2.8) of SM. Currently using SM 2.9.1.

5. Gecko-mediaplayer plugins do not load.




Posted on 3 Jun 2012, 12:45 by BarryK
Re Gecko-mediaplayer
Hmmm, it is the Ubuntu pkg that is broken. I tried my PET from Wary, that loads:

http://distro.ibiblio.org/quirky/pet_packages-wary5/gecko-mediaplayer-1.0.3-w5.pet

I have changed the pkg list to use that PET.



Posted on 3 Jun 2012, 16:28 by BarryK
Old Flash Player
I should have picked this one up earlier. Precise Puppy is built with an old Flash Player PET, version 10.0.22.87.

No wonder that some people were reporting trouble with playing Flash at some sites!

Please install this PET, the latest in the 10.3 series:
http://distro.ibiblio.org/quirky/pet_packages-common/flashplayer10-10.3.183.18.pet

I have changed the Precise package list to use this Flash Player PET.



Posted on 3 Jun 2012, 17:15 by BarryK
Missing Xorg pkgs
Mavrothal identified some extra DEBs needed for xompiling Xorg drivers:
http://bkhome.org/blog/?viewDetailed=02839

I have added these to the package list for Precise.



Posted on 3 Jun 2012, 17:34 by BarryK
Extra Xorg DEBs
For anyone who would like those DEBs now:

http://ftp.filearena.net/pub/ubuntu/pool/main/libx/libxvmc/libxvmc-dev_1.0.6-1ubuntu2_i386.deb
http://ftp.filearena.net/pub/ubuntu/pool/main/libf/libfs/libfs6_1.0.3-1_i386.deb
http://ftp.filearena.net/pub/ubuntu/pool/main/libf/libfs/libfs-dev_1.0.3-1_i386.deb
http://ftp.filearena.net/pub/ubuntu/pool/main/libd/libdmx/libdmx1_1.1.1-1_i386.deb
http://ftp.filearena.net/pub/ubuntu/pool/main/libd/libdmx/libdmx-dev_1.1.1-1_i386.deb



Posted on 3 Jun 2012, 18:15 by Terryphi
Flash Player
The latest Flash Player in the 10.3 series is now 10.3.183.19 . I have created a PET for it. See this thread in the Forum:

http://www.murga-linux.com/puppy/viewtopic.php?t=77256


Posted on 4 Jun 2012, 9:17 by BarryK
RE Flash PET
Terryphi,
Thanks, I have downloaded it, will update ibiblio repo soon.



Posted on 4 Jun 2012, 9:33 by BarryK
Bug no. 2 fixed
I fixed bug no.2. Woof commit:
http://bkhome.org/fossil/woof2.cgi/info/d3806ae4e0